package digital.laboratory.platform.imr.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.imr.dto.DepositToDTO;
import digital.laboratory.platform.imr.dto.UseOutboundDTO;
import digital.laboratory.platform.imr.entity.CabinetOpeningRecord;
import digital.laboratory.platform.imr.entity.DestructionPublicity;
import digital.laboratory.platform.imr.vo.CabinetSampleVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

public interface CabinetOpeningRecordService extends IService<CabinetOpeningRecord> {
    List<CabinetSampleVO> scanCode(String number);

    void scanCodePromptInbound(DepositToDTO dto, DLPUser dlpUser);

    void scanCodePromptOutbound(UseOutboundDTO dto, DLPUser dlpUser);

    void forceOpen(UseOutboundDTO dto, DLPUser dlpUser);

    List<CabinetSampleVO> querySampleByCode(String code,String roomNo);

    void useOutbound(UseOutboundDTO dto, DLPUser dlpUser);

    List<CabinetSampleVO> batchScanCode(String number);

    void updateSampleQuality(String sampleId, double sampleQuality);
}
